class HbuilderGrailsPlugin {
    // the plugin version
    def version = "0.3"
    // the version or versions of Grails the plugin is designed for
    def grailsVersion = "1.3.6 > *"
    // the other plugins this plugin depends on
    def dependsOn = [:]
    // resources that are excluded from plugin packaging
    def pluginExcludes = [
            "grails-app/views/error.gsp"
    ]
    
    def watchedResources = ["file:./grails-app/views/**/*.hml"]

    // TODO Fill in these fields
    def author = "Unobfuscator"
    def authorEmail = "unobfuscator@gmail.com"
    def title = "HTML builder templating system for Grails"
    def description = '''\\
HTML builder templating system for Grails
'''

    // URL to the plugin's documentation
    def documentation = "http://unobfuscated.blogspot.com/"

    def doWithWebDescriptor = { xml ->
        // TODO Implement additions to web.xml (optional), this event occurs before 
    }

    def doWithSpring = {
        // TODO Implement runtime spring config (optional)
    }

    def doWithDynamicMethods = { ctx ->
        // TODO Implement registering dynamic methods to classes (optional)
    }

    def doWithApplicationContext = { applicationContext ->
        // TODO Implement post initialization spring config (optional)
    }

    def onChange = { event ->
        // TODO Implement code that is executed when any artefact that this plugin is
        // watching is modified and reloaded. The event contains: event.source,
        // event.application, event.manager, event.ctx, and event.plugin.
        com.blogspot.unobfuscated.HmlGroovyPageResourceLoader.compile( event?.source?.getFile())
    }

    def onConfigChange = { event ->
        // TODO Implement code that is executed when the project configuration changes.
        // The event is the same as for 'onChange'.
    }
    
    def onShutdown = { event ->
    }
}
