package com.blogspot.unobfuscated

import org.apache.tools.ant.taskdefs.MatchingTask

class HmlCompileTask extends MatchingTask {
    private basedir = null
    
    public void setBasedir( String bdirSetting) {
        basedir = bdirSetting
    }
    
    public void execute() {
        try {
            HmlGroovyPageResourceLoader.compile( new File( basedir))
        } catch( Throwable th) {
            println( "ERROR: could not compile Hml files: ${th?.message}")
        }
    }
}

